Loading...
Searching...
No Matches
juce::ARAListenableModelClass< ListenerType > Class Template Reference

## Detailed Description

template<class ListenerType>
class juce::ARAListenableModelClass< ListenerType >

Base class used by the JUCE ARA model objects to provide listenable interfaces.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAModelObjects.h

## Public Member Functions

| ARAListenableModelClass ()=default
| Constructor.
virtual | ~ARAListenableModelClass ()=default
| Destructor.
void | addListener (ListenerType *l)
| Subscribe `l` to notified by changes to the object.
void | removeListener (ListenerType *l)
| Unsubscribe `l` from object notifications.
template<typename Callback>
void | notifyListeners (Callback &&callback)
| Call the provided callback for each of the added listeners.

## Constructors and Destructors

## ARAListenableModelClass()

template<class ListenerType>

juce::ARAListenableModelClass< ListenerType >::ARAListenableModelClass | ( |  | ) |

default

Constructor.

## ~ARAListenableModelClass()

template<class ListenerType>

virtual juce::ARAListenableModelClass< ListenerType >::~ARAListenableModelClass | ( |  | ) |

virtual default

Destructor.

## Member Functions

## addListener()

template<class ListenerType>

void juce::ARAListenableModelClass< ListenerType >::addListener | ( | ListenerType * | l | ) |

inline

Subscribe `l` to notified by changes to the object.

Parameters

  l | The listener instance.

## removeListener()

template<class ListenerType>

void juce::ARAListenableModelClass< ListenerType >::removeListener | ( | ListenerType * | l | ) |

inline

Unsubscribe `l` from object notifications.

Parameters

  l | The listener instance.

## notifyListeners()

template<class ListenerType>
template<typename Callback>

void juce::ARAListenableModelClass< ListenerType >::notifyListeners | ( | Callback && | callback | ) |

inline

Call the provided callback for each of the added listeners.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited